package com.agilex.healthcare.schedulingmanager.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;


@XmlRootElement(name = "smConsultService", namespace = Namespace.SchedulingManager)
@XmlAccessorType(value = XmlAccessType.NONE)
public class SMConsultService implements Serializable{

    private static final long serialVersionUID = 7855453451863720473L;

    @XmlElement
    private String serviceIen;

    @XmlElement
    private String serviceName;

    @XmlElement
    private String parent;

    @XmlElement
    private boolean hasChildren;

    @XmlElement
    private String serviceUsage;

    @XmlElement
    private String orderableItem;

    public String getServiceIen() {
        return serviceIen;
    }

    public void setServiceIen(String serviceIen) {
        this.serviceIen = serviceIen;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getParent() {
        return parent;
    }

    public void setParent(String parent) {
        this.parent = parent;
    }

    public boolean isHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(boolean hasChildren) {
        this.hasChildren = hasChildren;
    }

    public String getServiceUsage() {
        return serviceUsage;
    }

    public void setServiceUsage(String serviceUsage) {
        this.serviceUsage = serviceUsage;
    }

    public String getOrderableItem() {
        return orderableItem;
    }

    public void setOrderableItem(String orderableItem) {
        this.orderableItem = orderableItem;
    }
}
